About CAD file conversion results

You can control the results of converting CAD drawing files by editing the converter template that the Microsoft Visio program uses when it converts CAD drawings. The converter template is a Visio file that contains default settings for converted CAD drawings.

You can edit the converter template in the following ways:

  • Create or modify Visio line styles and text styles. CAD line styles and fonts are converted to Visio line styles and text styles that have the same name as the CAD styles. For example, you can create a Visio text style that uses the hand-lettering or blueprint font you use in your CAD drawings so that your font styles are preserved.
  • Specify the page size for converted CAD drawings or for CAD drawings you open by clicking Open on the File menu.
  • Set the Visio measurement units for converted CAD drawings. Visio interprets one CAD drawing unit as one Visio measurement unit. By default, the measurement unit is set to either inches or millimeters. By changing the measurement units, you control how big the converted CAD drawing is. The measurement unit also applies when you open a CAD drawing by clicking Open on the File menu.
  • Add a stencil containing converted symbol libraries. If your CAD drawings use a symbol library, you can convert those symbols into Visio masters that are stored in a stencil. When you add the stencil of converted symbols to the converter template, your Visio product creates instances of these masters instead of converting each block—which saves time during the conversion process.


About CAD symbol libraries

If you use symbol libraries in your DWG drawings, you can convert the symbol libraries into Microsoft Visio format for use in your Visio drawings. A symbol library is a DWG file that contains blocks. When you convert a symbol library, each block is converted into a Visio master on a stencil. When you convert multiple symbol libraries at once, all of the blocks are converted to masters and are placed on the same stencil.

Block attributes are converted into Visio custom properties, which are stored with the master on the stencil. When you drag a master from a stencil, the corresponding custom properties are also placed in the drawing as text.

Note You can only convert symbol libraries in AutoCAD DWG format; you cannot convert symbol libraries (cell libraries) in MicroStation DGN format.


About converted CAD drawings

You can insert existing CAD drawings into your Microsoft Visio drawings to use as background images or as detail drawings. If you want to modify or delete objects in the CAD drawing, you can convert objects on individual layers into Visio shapes. For example, if you want to move an interior wall in a floor plan, you can convert the CAD objects that represent the wall into Visio shapes.

Click to show or hide information. When should I convert CAD drawings?

Whenever possible, work with inserted CAD drawings that are not converted. Working with unconverted CAD drawings is faster and generally gives you better visual results. In particular, if you work with CAD drawings that are frequently updated, insert the CAD drawings without converting them so that you can easily replace them with newer versions.

You can do many editing tasks on inserted CAD drawings that are not converted. You can drag Visio shapes onto the drawing, hide layers or levels, redline drawings, and rescale and crop the inserted drawing. If you want to delete or modify objects in the CAD drawing, convert the layers containing those objects into Visio format.

Click to show or hide information. What CAD file formats are supported?

Your Visio product can convert files from the following CAD formats into Visio format, and from Visio format into these CAD formats:

  • Autodesk AutoCAD DWG and DXF file formats
  • Bentley MicroStation DGN file format

Click to show or hide information. DWG or DXF drawings saved in paper space

When you convert a drawing in AutoCAD DWG or DXF format, you convert the last saved view of the CAD drawing. A CAD drawing may have been saved in model space or paper space. Model space is the primary drawing workspace in which CAD drafters create drawings. Paper space is a workspace that is analogous to a sheet of paper, in which CAD drafters can arrange different views of the drawing.

When you convert a drawing saved in model space, all objects and text on the layers you select are converted into Visio shapes. When you convert a drawing saved in paper space, only the objects that are not cut off (clipped) by the edge of the viewport are converted into Visio shapes. Objects and text that are cut off are converted into lines.

A viewport with a whole circle and a clipped circle.

A circle that is completely enclosed by a viewport is converted into a Visio circle shape. A circle that is clipped by the viewport is converted into a Visio line.


About inserted CAD drawings

You can insert existing CAD drawings into your Microsoft Visio drawings to use in the following ways:

  • If you collaborate with people who create drawings in a CAD program, you may need to review and annotate a drawing and then return it to your colleague to incorporate your ideas. Using your Visio product, you can open a CAD drawing for review, and then add your comments on a separate Visio annotation layer.
  • You can use CAD drawings as background images in your Visio drawing. For example, you might want to insert a CAD floor plan and add Visio office furniture shapes on top of the floor plan.
  • You can use CAD drawings as detail images in your Visio drawing. For example, you might want to insert an enlarged view of a single office or an equipment room in a drawing that contains an entire floor plan.

After you insert a CAD drawing, you can drag shapes onto it, change its drawing scale, crop and pan it, or hide or show layers or levels. Because the inserted CAD drawing is a copy of the original CAD drawing, the changes you make to the inserted drawing within your Visio product do not alter the original drawing.

Click to show or hide information. Supported CAD drawing file formats

You can insert CAD drawings in the following file formats:

  • DWG and DXF file formats (as generated by Autodesk AutoCAD and other CAD programs)
  • Bentley MicroStation DGN file format

You can also convert Visio drawings into the CAD drawing file formats listed above, and you can convert CAD drawings into Visio format.

Click to show or hide information. Inserted DWG and DXF drawings show the last saved view

When you insert a drawing in AutoCAD DWG or DXF format, you insert the last saved view of the CAD drawing. A CAD drawing may have been saved in model space or paper space. Model space is the primary drawing workspace in which CAD drafters create drawings. Paper space is a workspace that is analogous to a sheet of paper, in which CAD drafters can arrange different views of the drawing.

A CAD drawing saved in paper space that shows two views of the same floor plan.

A DWG drawing saved in paper space. Each rectangle is called a viewport. A viewport is a window into the three-dimensional CAD drawing. Each viewport can be set to a different scale or angle.

In Microsoft Visio, you can set the scale of a CAD drawing that was saved in model space, but you cannot set the scale of a drawing saved in paper space. Paper space drawings may be slower to pan or resize within Visio.


Change the line color and line weight of a CAD layer

  1. Right-click an inserted CAD drawing, point to CAD Drawing Object, and then click Properties.
  2. Click the Layer tab.
  3. To change a layer color, select the layer, click the Color field, and then select a new color from the Color dialog box. Click OK.
  4. To make layer lines thinner or thicker, select the layer, click the Lineweight field, and then type a line weight (thickness) in the Custom Lineweight dialog box. Click OK.

Note You can change the line color and line weight of an inserted DWG or DXF drawing. You cannot change the line color and weight of an inserted DGN drawing.


Change the scale of a CAD drawing

  1. Right-click an inserted CAD drawing, point to CAD Drawing Object, and then click Properties.
  2. Click the General tab, and then select a scale setting:
  • To drag shapes from stencils onto a CAD drawing, click Pre-defined scale, and then click Page Scale. This sets the CAD drawing to the same scale as the Visio drawing page so that the Visio shapes are scaled correctly when you place them on the CAD drawing.
  • If you are not dragging shapes onto a CAD drawing but want to set a specific industry-standard scale, click Pre-defined scale, and then in the list, click an industry standard and a specific scale.
  • To create your own scale, click Custom scale, and then type a scale. When you first insert a CAD drawing into a Visio page, your Visio product assigns it a custom scale so that it fits on the page.
  3. Verify the size of the CAD drawing on the Visio drawing page by looking at the preview image. If the CAD drawing does not fit on the Visio drawing page, try one of the following:
  • Specify a smaller CAD drawing scale or Visio drawing scale.
  • Specify a larger page size by clicking Page Setup, clicking the Page Size tab, and choosing a different page size from the Pre-defined size list. To return to the CAD Drawing Properties dialog box, click OK.
  4. To accept your changes, click OK. If you have set your CAD drawing scale to a different scale than the Visio drawing scale, click Continue without matching scale, and then click OK.

Note You cannot set the scale of a DWG drawing that was saved in paper space.


Convert a CAD drawing into Visio format

  1. Right-click an inserted CAD drawing, point to CAD Drawing Object, and then click Convert.
  2. In the Convert Wizard, press CTRL and click the layers or levels containing the CAD objects you want to convert, and then click Next.
  3. Choose whether to delete or hide the converted layers or levels, and then click Next.
  4. For AutoCAD DWG or DXF drawings, choose how you want to convert dimensions:
  • To get dimension lines that are updated when you resize the associated Microsoft Visio shapes, click Convert into Visio's dimension shapes. Converted dimension lines lose their original CAD font and line style.
  • To preserve the CAD formatting of dimensions, including the font and line style, click Convert into lines and text.
  5. Click Finish to convert the objects on the selected CAD layers or levels.

NOTE To keep your drawing file size small, convert only the layers or levels you need. Converting individual layers or levels is also faster than converting an entire CAD drawing.


Convert a CAD symbol library into Visio format

  1. On the Tools menu, point to Macros, point to Visio Extras, and then click Convert CAD Library.
  2. In the Insert CAD Drawing dialog box, press CTRL and then click the DWG files you want to convert.
  3. Click Open.

Each block in the DWG files you selected is converted to a master and placed on the same new stencil. Each master is named for its corresponding block in the DWG file.

  4. To save the stencil, right-click the stencil title bar and choose Save As. In the Save As dialog box, type a name for the stencil file, and then click Save.

Note You can only convert symbol libraries in AutoCAD DWG format; you cannot convert symbol libraries (cell libraries) in MicroStation DGN format.


Convert multiple CAD drawings

  1. On the Tools menu, point to Macros, then point to Visio Extras, and then click Convert CAD Drawings.
  2. In the Insert CAD Drawing dialog box, press CTRL and click the DWG files you want to convert.
  3. Click Open.

Each CAD drawing is converted into a separate Microsoft Visio drawing file and automatically saved in the same folder as the CAD drawing. The Visio file has the same name as the CAD file. For example, a CAD drawing named Floorplan.dwg is converted into a Visio drawing named Floorplan.vsd. If a Visio file already exists with the same name as the CAD file, a number is added to the file name. For example, if a file named Floorplan.vsd already exists, the new file is named Floorplan1.vsd. Only the last converted file remains open in your workspace.

Note You can only convert symbol libraries in AutoCAD DWG format; you cannot convert symbol libraries (cell libraries) in MicroStation DGN format.


Convert a Visio drawing into CAD format

  1. Display the Visio drawing page you want to convert, and then on the File menu, click Save As.
  2. Under Save as type, click the CAD drawing file format you want.

For example, to save a file in DWG format, click AutoCAD Drawing.

  3. To save and convert the drawing, click Save.

Note When you convert a Microsoft Visio drawing into CAD format, you must convert each drawing page separately.


Hide layers or levels in a CAD drawing

  1. Right-click an inserted CAD drawing, point to CAD Drawing Object, and then click Properties.
  2. Click either the Layer tab or the Level tab.
  3. To hide a layer or level, click the Visible column to clear the check mark.


Insert a CAD drawing

  1. On the Insert menu, click CAD Drawing.
  2. Under Files of type, select AutoCAD Drawing (*.dwg, *.dxf) or MicroStation Drawing (*.dgn). Locate the CAD file and click Open.
  3. To accept the size and location of the CAD drawing, click OK.

After you have inserted the drawing, you can resize it, change its scale, or move it.


Modify the CAD converter template

  1. On the File menu, click Open, navigate to the Solutions\Visio Extras folder in your Microsoft Visio installation folder, and then click either _dwgcnvt (for DWG drawings) or _dgncnvt (for DGN drawings).
  2. Click the arrow next to Open, and then click Original.
  3. Click Open.
  4. Do one or more of the following:
  • To modify a style or create a new style, on the Format menu, click Define Styles. In the Name list, click a style to modify or type the new style's name. Select the options you want, and then click OK.
  • To set the page size, on the File menu, click Page Setup. Click the Page Size tab, and specify a page size and page orientation. Click OK.
  • To set the measurement units, on the File menu, click Page Setup. Click the Page Properties tab, select a measurement unit, and then click OK.
  • To add a stencil containing converted symbol libraries, on the File menu, point to Stencils, and then click Open Stencil. In the Open Stencil dialog box, locate the stencil file that contains your converted symbol library, and click Open.
  5. To save and close the template, on the File menu, click Save.


Move, crop, or resize a CAD drawing

  1. Right-click an inserted CAD drawing, point to CAD Drawing Object, and then click Properties.
  2. Click the General tab, and then clear the Lock Position and Lock Cropping check boxes.
  3. Click OK.
  4. To position the CAD drawing, select it and drag it.
  5. To crop the drawing, select the Crop tool, and then click the CAD drawing. Drag the selection handles [image] on the drawing border until only the portion of the drawing that you want is visible. To pan the drawing within the CAD drawing border, click inside the border and drag the drawing.
  6. To resize the drawing, drag a selection handle.

Note To set the CAD drawing to a specific drawing scale, change the drawing scale rather than resizing the drawing with the selection handles.

  7. When the CAD drawing is positioned where you want it, lock the drawing again so that you don't accidentally move or resize it while you are working with the Visio page.


Open a CAD drawing for review

  1. On the File menu, click Open.
  2. Under Files of type, click AutoCAD Drawing or MicroStation Drawing.
  3. Under Look in, find the folder that contains the file you want, select the file, and then click Open.
  4. Click OK to accept the size and location of the CAD drawing.

After you have opened the drawing, you can resize it, change its scale, or move it.

Click to show or hide information. Tip

If the CAD drawing will be reviewed by several reviewers, create a redlining layer for each reviewer's markup.


Troubleshoot inserted or converted CAD drawings

Click to show or hide information. I inserted a CAD drawing, and I see either a blank rectangle or only part of my CAD drawing.

You may need to change the Visio measurement unit that is assigned to the CAD drawing unit. CAD drawings are created without pre-set drawing units; that is, a drawing unit can be interpreted as a millimeter, a meter, an inch, or a mile. When you insert a CAD drawing into a Visio drawing, CAD drawing units are interpreted in Visio measurement units. The units may not match, especially if you have inserted a metric CAD drawing into a Visio drawing that uses US drawing units.

To change the measurement unit assigned to a CAD drawing, right-click the drawing, point to CAD Drawing Object, and then click Properties. On the General tab, in the CAD drawing units list, click a different unit.

Click to show or hide information. When I convert a CAD drawing, text is converted to lines.

If the DWG or DXF drawing was saved in paper space, and text in a viewport is cut off by the edge of the viewport, the CAD text is converted into lines instead of real text. Text is also converted into lines if the CAD drawing is not in plan view (a view of the drawing from above).

If you need to edit the text in Visio, either delete the lines and type in the text, or ask the owner of the CAD drawing to save it in model space. You can then convert the CAD drawing again to get converted text.

Click to show or hide information. I can't move, resize, or crop an inserted CAD drawing.

The CAD drawing is locked. To unlock it, right-click the drawing, point to CAD Drawing Object, and then click Properties. Click the General tab, and then clear the Lock Position and Lock Cropping check boxes.

Click to show or hide information. When I drop shapes on top of a CAD drawing, the shapes are too big or too small.

For shapes to be the correct size, the CAD drawing scale must be the same as the Visio drawing scale. You may have chosen a different CAD drawing scale, or you may have resized the CAD drawing by dragging the border of the inserted drawing. Make sure the CAD drawing scale and the Visio drawing scale are the same.

Change the scale of a CAD drawing

Set the Visio drawing scale

Click to show or hide information. When I insert or convert a CAD drawing, I get a message saying that a file reference is being ignored.

When you insert or convert a CAD drawing, Microsoft Visio tries to open any files that are linked to the CAD drawing as external references. External reference files must be in the same folder as the Visio drawing or in a folder with the same path as when they were originally linked. For example, if your CAD drawing contains a link to an external reference file stored in C:\Parts, Microsoft Visio will look for the external reference file in that folder.

If you are receiving CAD drawings from the drawing creator, ask if the drawing has any external reference files. If it does, place the reference files in the same folder as your Visio drawing, or re-create the folder structure for the reference files.

Click to show or hide information. I've received a Visio drawing that contains a CAD drawing, and I can't tell if I have the correct version of the CAD drawing.

You can check the name, location, and modification date of the CAD drawing that was inserted into your Visio drawing by selecting the drawing and clicking Custom Properties on the Shape menu.


Insert CAD Drawing dialog box

Selects a CAD file (DWG, DXF, DGN) to insert into a Microsoft Visio drawing.

Click to show or hide information. Look In

Displays the current folder, and lists the subfolders and files in the current folder. Double-click the folder in the list that you want to open.

Click to show or hide information. Up One Level

Moves the Look In folder up one level in the folder hierarchy.

Click to show or hide information. Create New Folder

Creates a new subfolder in the current folder.

Click to show or hide information. List

Displays the list of folders and files by name.

Click to show or hide information. Details

Displays the list of folders and files by name, size (for files), type, and date modified.

Click to show or hide information. Look In pane

Displays the list of folders and files.

Click to show or hide information. File Name

Displays all files of the type specified in the Files of type box. To open a file, select it in the list or type a path and file name in the box.

Click to show or hide information. Files Of Type

Displays the file types you can open. To change the type, click one in the list.

Click to show or hide information. Description

Displays information about the selected file.


CAD Drawing Properties dialog box (General tab)

Sets properties for an inserted CAD drawing.

Click to show or hide information. CAD Drawing Scale

Sets the scale of the inserted CAD drawing.

Pre-Defined Scale Sets an industry-standard drawing scale. To choose a drawing scale, choose a scale type (such as Architectural, Civil Engineering, or Metric) and a scale from the lists. To set the CAD drawing to the same scale as the Visio page, choose Page Scale. To drag shapes from Visio stencils onto a CAD drawing, set the CAD drawing scale and the Visio drawing scale to the same scale so that the Visio shapes are scaled correctly when placed on the CAD drawing.

Custom Scale Sets a drawing scale you enter yourself. For example, you can type 1 cm = 1 km. When you first insert a CAD drawing, it is automatically scaled to fit the Visio drawing page, which usually results in a custom drawing scale.

CAD Drawing Units Specifies how drawing units in the CAD drawing are interpreted. In CAD programs, drawings are measured in real-world units. For example, a CAD drawing of a road can be measured in miles or kilometers. By default, your Visio product interprets one CAD drawing unit as one measurement unit in the Visio drawing scale.

Click to show or hide information. CAD Drawing Protection

Prevents the CAD drawing from being moved or cropped.

Lock Position Prevents the inserted CAD drawing from being moved around the Visio page.

Lock Cropping Prevents the inserted CAD drawing from being cropped or resized.

Click to show or hide information. Page Size

Shows the size of the Visio page that contains the inserted CAD drawing. You can change the page size by clicking Page Setup, clicking the Page Size tab, and setting the page size you want.

Click to show or hide information. Page Scale

Shows the drawing scale of the Visio page that contains the inserted CAD drawing. You can change the drawing scale by clicking Page Setup, clicking the Drawing Scale tab, and setting the drawing scale you want. If you want to drag shapes from Visio stencils onto a CAD drawing, set the CAD drawing scale and the Visio drawing scale to the same scale so that the Visio shapes are scaled correctly when placed on the CAD drawing.


CAD Drawing Properties dialog box (Level tab)

Hides levels in an inserted DGN drawing.

Click to show or hide information. Name

Shows level names in the CAD drawing.

Click to show or hide information. Visible

Specifies whether objects on a CAD level are visible or hidden. Check to show the level or uncheck to hide the level.


CAD Drawing Properties dialog box (Layer tab)

Hides layers in an inserted DWG or DXF drawing and changes the line color and line weight assigned to a layer.

Click to show or hide information. Name

Shows layer names in the CAD drawing.

Click to show or hide information. Visible

Specifies whether objects on a CAD layer are visible or hidden. Check to show the layer or uncheck to hide the layer.

Click to show or hide information. Color

Specifies the color assigned to all objects on the CAD layer. Click to change the color.

Click to show or hide information. Lineweight

Specifies the line weight (thickness) assigned to all objects on the CAD layer. Click to change the line weight.


CAD Drawing dialog box

Click to show or hide information. Change CAD Drawing Scale To Match Page Scale

Changes the CAD drawing scale to match the page drawing scale. The CAD drawing may no longer fit on the drawing page.

Click to show or hide information. Change Page Scale To Match CAD Drawing Scale

Changes the page drawing scale to match the CAD drawing scale. You may need to move the CAD drawing back onto the drawing page after you select this option.

Click to show or hide information. Continue Without Matching Scale

Leaves the CAD drawing scale as is. The CAD drawing will fit on your drawing page, but shapes you drop onto the drawing may be the wrong size.